Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 143)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 146)
@@ -869,5 +578,255 @@
 								</td>
 							</tr>
-						</xsl:for-each>
+						</xsl:if>
+						<!-- witsml:cement -->
+						<xsl:if test="count(witsml:cementStage) > 0">
+							<xsl:for-each select="witsml:cementStage">
+								<tr height="5px">
+									<td/>
+								</tr>
+								<tr>
+									<td>
+										<hr/>
+									</td>
+								</tr>
+								<tr>
+									<td class="SectionHead">Cement information</td>
+								</tr>
+								<tr>
+									<td>
+										<table id="table2">
+											<xsl:variable name="element_cement" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cement']/xsd:sequence"/>
+											<!--<xsl:variable name="url_readingKind"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='readingKind']/@sawsdl:modelReference"/></xsl:variable>
+						    			<xsl:variable name="url_equivalentMudWeight"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='equivalentMudWeight']/@sawsdl:modelReference"/></xsl:variable>
+						    			<xsl:variable name="url_dTim"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='dTim']/@sawsdl:modelReference"/></xsl:variable>
+						    			<xsl:variable name="url_md"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='md']/@sawsdl:modelReference"/></xsl:variable>
+						    			<xsl:variable name="url_tvd"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='tvd']/@sawsdl:modelReference"/></xsl:variable>-->
+											<tr>
+												<td align="center" valign="top">
+													<a target="_blank" href="{$urlRDS}">Start Time</a>
+												</td>
+												<td align="center" valign="top">
+													<a target="_blank" href="{$urlRDS}">End Time</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$urlRDS}">Job Type</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$urlRDS}">Casing string diameter</a>
+												</td>
+												<td align="center" width="100" valign="top">
+													<a target="_blank" href="{$urlRDS}">Comments</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$urlRDS}">Top plug used</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$urlRDS}">Bottom plug used</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$urlRDS}">Plug failed to bump</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$urlRDS}">Plug bump pressure <xsl:value-of select="witsml:presBump/@uom"/>
+													</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$urlRDS}">Float failed</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$urlRDS}">Pressure release time</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$urlRDS}">Full returns</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$urlRDS}">cement volume returns <xsl:value-of select="witsml:volReturns/@uom"/>
+													</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$urlRDS}">Reciprocated</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$urlRDS}">Rotated</a>
+												</td>
+											</tr>
+											<tr class="light">
+												<td align="center">
+													<xsl:value-of select="substring-after(substring(witsml:dTimPumpStart, 0, 17), 'T')"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="substring-after(substring(witsml:dTimPumpEnd, 0, 17), 'T')"/>
+												</td>
+												<td align="center">
+													<xsl:variable name="element_jobTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='cementJobTypes']/xsd:restriction"/>
+													<xsl:variable name="jobTypes" select="witsml:jobType" />
+													<xsl:value-of select="$element_jobTypes//xsd:enumeration[@value=$jobTypes]"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:casingStrDia"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:comment"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:topPlug"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:botPlug"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:plugBumped"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:presBump"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:floatFailed"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="substring(witsml:eTimPresHeld, 0, 17)"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:annFlowAfter"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:volReturns"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:reciprocated"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="witsml:rotated"/>
+												</td>
+											</tr>
+										</table>
+									</td>
+								</tr>
+								<!--  witsml:cementingFluid -->
+								<tr height="5px">
+									<td/>
+								</tr>
+								<tr>
+									<td>
+									</td>
+								</tr>
+								<tr>
+									<td class="SectionHead">Cementing Fluid Details</td>
+								</tr>
+								<xsl:variable name="element_fluid" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cementingFluid']/xsd:sequence"/>
+								<xsl:variable name="url_dTimFluid">
+									<xsl:value-of select="$element_fluid//xsd:element[@name='dTim']/@sawsdl:modelReference"/>
+								</xsl:variable>
+								<xsl:variable name="url_mdFluid">
+									<xsl:value-of select="$element_fluid//xsd:element[@name='md']/@sawsdl:modelReference"/>
+								</xsl:variable>
+								<xsl:variable name="url_mudClass">
+									<xsl:value-of select="$element_fluid//xsd:element[@name='mudClass']/@sawsdl:modelReference"/>
+								</xsl:variable>
+								<xsl:variable name="url_density">
+									<xsl:value-of select="$element_fluid//xsd:element[@name='density']/@sawsdl:modelReference"/>
+								</xsl:variable>
+								<xsl:variable name="url_pv">
+									<xsl:value-of select="$element_fluid//xsd:element[@name='pv']/@sawsdl:modelReference"/>
+								</xsl:variable>
+								<xsl:variable name="url_yp">
+									<xsl:value-of select="$element_fluid//xsd:element[@name='yp']/@sawsdl:modelReference"/>
+								</xsl:variable>
+								<tr>
+									<td>
+										<table id="table2">
+											<tr>
+												<td align="left"  width="60" valign="top">
+													<a target="_blank" href="{$url_dTimFluid}">Sample Time</a>
+												</td>
+												<td align="center" width="60" valign="top">
+													<a target="_blank" href="{$url_mdFluid}">MD At Logging <xsl:value-of select="witsml:cementingFluid/witsml:mdLog/@uom" />
+													</a>
+												</td>
+												<td align="center" width="100" valign="top">
+													<a target="_blank" href="{$url_mudClass}">Fluid Type</a>
+												</td>
+												<td align="center" width="100" valign="top">
+													<a target="_blank" href="{$url_mudClass}">Fluid Description</a>
+												</td>
+												<td align="center" width="100" valign="top">
+													<a target="_blank" href="{$urlRDS}">Volume Pumped <xsl:value-of select="witsml:cementingFluid/witsml:volPumped/@uom"/>
+													</a>
+												</td>
+												<td align="center" width="100" valign="top">
+													<a target="_blank" href="{$url_density}">Fluid Density <xsl:value-of select="witsml:cementingFluid/witsml:density/@uom"/>
+													</a>
+												</td>
+												<td align="center" width="120" valign="top">
+													<a target="_blank" href="{$url_pv}">Fluid Viscosity <xsl:value-of select="witsml:cementingFluid/witsml:pv/@uom"/>
+													</a>
+												</td>
+												<td align="center" width="80" valign="top">
+													<a target="_blank" href="{$url_yp}">Yield Point <xsl:value-of select="witsml:cementingFluid/witsml:yp/@uom"/>
+													</a>
+												</td>
+												<td align="center" width="80" valign="top">
+													<a target="_blank" href="{$urlRDS}">Mix Water Ratio <xsl:value-of select="witsml:cementingFluid/witsml:ratioMixWater/@uom"/>
+													</a>
+												</td>
+												<td align="center" width="80" valign="top">
+													<a target="_blank" href="{$urlRDS}">Free Water <xsl:value-of select="witsml:cementingFluid/witsml:pcFreeWater/@uom"/>
+													</a>
+												</td>
+												<td align="center" width="80" valign="top">
+													<a target="_blank" href="{$urlRDS}">Thick Time <xsl:value-of select="witsml:cementingFluid/witsml:eTimThickening/@uom"/>
+													</a>
+												</td>
+												<td align="center" width="100" valign="top">
+													<a target="_blank" href="{$urlRDS}">Comments</a>
+												</td>
+
+											</tr>
+											<xsl:for-each select="witsml:cementingFluid">
+												<tr class="light">
+													<td>
+														<xsl:value-of select="substring(witsml:dTimTest, 0, 17)"/>
+													</td>
+													<td align="center">
+														<xsl:value-of select="witsml:mdLog"/>
+													</td>
+													<td align="center">
+														<xsl:variable name="element_fluidTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='fluidTypes']/xsd:restriction"/>
+														<xsl:variable name="fluidTypes" select="witsml:typeFluid" />
+														<xsl:value-of select="$element_fluidTypes//xsd:enumeration[@value=$fluidTypes]"/>
+													</td>
+													<td align="center">
+														<xsl:value-of select="witsml:descFluid"/>
+													</td>
+													<td align="center">
+														<xsl:value-of select="witsml:volPumped"/>
+													</td>
+													<td align="center">
+														<xsl:value-of select="witsml:density"/>
+													</td>
+													<td align="center">
+														<xsl:value-of select="witsml:pv"/>
+													</td>
+													<td align="center">
+														<xsl:value-of select="witsml:yp"/>
+													</td>
+													<td align="center">
+														<xsl:value-of select="witsml:ratioMixWater"/>
+													</td>
+													<td align="center">
+														<xsl:value-of select="witsml:pcFreeWater"/>
+													</td>
+													<td align="center">
+														<xsl:value-of select="witsml:eTimThickening"/>
+													</td>
+													<td align="center">
+														<xsl:value-of select="witsml:comment"/>
+													</td>
+												</tr>
+											</xsl:for-each>
+										</table>
+									</td>
+								</tr>
+							</xsl:for-each>
 						</xsl:if>
 						<!-- END Added/changed 22feb2011 -->
@@ -2588,8 +2547,8 @@
 			</td>
 			<td class="ColHead">
-				<a target="_blank" href="{$urlRDS}">Water Depth MSL (<xsl:value-of select="../witsml:statusInfo/witsml:msl/@uom" />):</a>
+				<a target="_blank" href="{$urlRDS}">Water Depth MSL (<xsl:value-of select="../witsml:statusInfo/witsml:waterDepth/@uom" />):</a>
 			</td>
 			<td class="light">
-				<xsl:value-of select="../witsml:statusInfo/witsml:msl"/>
+				<xsl:value-of select="../witsml:statusInfo/witsml:waterDepth"/>
 			</td>
 		</tr>
@@ -2645,4 +2604,50 @@
 			<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='tvdCsgLast']/@sawsdl:modelReference"/>
 		</xsl:variable>
+		<!-- Added 18jan2011 -->
+		<xsl:variable name="element_header" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='statusInfo']/xsd:sequence"/>
+		<xsl:variable name="element_rigTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='rigTypes']/xsd:restriction"/>
+		<xsl:variable name="urlRDS" select="'http://www.posccaesar.org'"/>
+		<tr class="light">
+			<td class="ColHead">
+				<a target="_blank" href="{$urlRDS}">Tight well:</a>
+			</td>
+			<td class="light">
+				<xsl:value-of select="witsml:tightWell"/>
+			</td>
+			<td class="ColHead">
+				<a target="_blank" href="{$urlRDS}">High Pressure - High Temperature:</a>
+			</td>
+			<td class="light">
+				<xsl:value-of select="witsml:hpht" />
+			</td>
+		</tr>
+		<!-- END Added 18jan2011 -->
+		<!-- Added 26jan2011 -->
+		<tr class="light">
+			<td class="ColHead">
+				<a target="_blank" href="{$urlRDS}">Pressure (<xsl:value-of select="witsml:avgPresBH/@uom" />):</a>
+			</td>
+			<td class="light">
+				<xsl:value-of select="witsml:avgPresBH"/>
+			</td>
+			<td class="ColHead">
+				<a target="_blank" href="{$urlRDS}">Temperature (<xsl:value-of select="witsml:expTempBH/@uom" />):</a>
+			</td>
+			<td class="light">
+				<xsl:value-of select="witsml:expTempBH"/>
+			</td>
+		</tr>
+		<tr class="light">
+			<!-- END Added 26jan2011 -->
+			<!-- Added 07feb2011 -->
+			<td class="ColHead">
+				<a target="_blank" href="{$urlRDS}">Rig Type:</a>
+			</td>
+			<td class="light">
+				<xsl:variable name="element_rigType" select="witsml:rigType" />
+				<xsl:value-of select="$element_rigTypes//xsd:enumeration[@value=$element_rigType]" />
+			</td>
+		</tr>
+		<!-- END Added 07feb2011 -->
 		<!-- wellbore type and kick off -->
 		<tr class="light">
